<?php
/**
 * @file
 * Admin forms for system_status
 */

/**
 * Page callback: System settings settings.
 *
 * @see system_status_menu()
 */
function system_status_form(&$form_state) {

  $form['system_status_service_allow_drupalstatus'] = array(
    '#type' => 'checkbox',
    '#title' => t('Allow reporting to DrupalStatus.org'),
    '#description' => t('Allow reports to be generated by DrupalStatus. The reports will be stored and send using encryption and are only accessible using your account credentials on DrupalStatus.org'),
    '#default_value' => variable_get('system_status_service_allow_drupalstatus', '1'),
    '#disabled' => TRUE,
  );

  $form['add_site'] = array(
    '#type' => 'submit',
    '#value' => t('Add this site to your DrupalStatus.org overview'),
    '#submit' => array('system_status_add_site'),
  );

  return $form;
}

function system_status_add_site($form, &$form_state) {
  global $base_url;
  $siteUrl = urlencode($base_url);
  $siteUrl .= "|" . variable_get('system_status_token', 'Error-no-token');
  $siteUrl .= "|" . variable_get('system_status_encrypt_token', 'Error-no-token');
  $url = "https://www.drupalstatus.org/addsite?op=addSite&siteUrl=$siteUrl";

  if (module_exists('overlay') && overlay_get_mode() == 'child') {
    unset($_GET['destination']);
    overlay_close_dialog($url, array('external' => TRUE));
    $form_state['redirect'] = FALSE;
  } else {
    $form_state['redirect'] = $url;
  }
}
